View Issue Details

IDProjectCategoryView StatusLast Update
0002515SOGoWeb Calendarpublic2015-01-13 14:06
ReporterHannes Erven Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.1.1a 
Fixed in Version2.2.14 
Summary0002515: Edit calendar entry popup defaults to personal calendar, not the entry's calendar
Description

This is reproducible in 2.0.7 and 2.1.1a.

The "edit calendar item" popup's calendar selection dropdown defaults to the personal calendar, not the calendar is actually in.

Steps To Reproduce
  1. view the web calendar with shared accounts visible.

  2. create an calendar item in a (non-default) shared calendar.

  3. double click the item in any calendar view to edit it

  4. in the popup, the "calendar" dropdown does not default to the calendar the item actually is in, but to the user's default calendar.

  5. when you press save, the appointment is incorrectly moved to the users default calendar.

TagsNo tags attached.

Relationships

has duplicate 0003050 resolvedfrancis WebGUI sets "Personal Calendar" in "New Event" window in all cases 

Activities

Christian Mack

Christian Mack

2013-11-26 06:04

developer   ~0006288

This only occures, if you don't have modify privileges for this event/calendar.
IMHO this is correct behaviour.

Hannes Erven

Hannes Erven

2013-11-26 06:15

reporter   ~0006289

No, this is not the case - it happens even when the user is the owner of the entry's calendar.

My user has his "personal" calendar and one additional calendar "hannes". When I edit an item in "hannes", the dropdown defaults to "personal".
(In fact, the dropdown always defaults to "personal").

This is a snippet from the popup's HTML:
<select name="2.1.0.3.0.1.5.3.1.3.1.5.2.4" id="calendarList">
<option value="0">Personal Calendar</option>
<option value="1">cal 1</option>
<option value="2">Hannes</option>
<option value="3">cal 4</option>
<option value="4">cal 4</option></select>

As you can see, there is no option pre-SELECTED, and I think that is the issue.

Christian Mack

Christian Mack

2013-11-26 07:35

developer   ~0006290

What have you set in "Preferences" --> "Calendar Options" --> "Default Calendar:"

It should be "selected calendar".

Hannes Erven

Hannes Erven

2013-11-26 14:16

reporter   ~0006292

The setting already is "selected calendar". I just tried changing it, but that does not make a difference: when editing, there's always the first calendar selected in the dropdown, not the actual one.

Christian Mack

Christian Mack

2013-11-29 06:09

developer   ~0006310

Sorry, but I don't get this behaviour, neither in 2.0.7 nor in 2.1.1a.
I get a selected option in the popup:
<option value="1" selected="selected">Calendar for testing</option>

Which browser are you using?

Hannes Erven

Hannes Erven

2013-11-29 08:26

reporter   ~0006311

I tried various browsers with no differences:

Firefox 25.0.1, Chromium 30.0.1599.114 (on Ubuntu 13.10)
IE 8 on Windows XP

It appears I haven't found a way to see any entry of the calendar dropdown "selected".
However the other dropdowns, category and priority, work fine.

I also tried the very same browsers at the Inverse SOGO demo installation: there, the correct calendar is selected.

What I did notice is on my install, the data javascript doesn't have the "activeCalendar" value set. That is:

MY INSTALL:
var activeCalendar = '';
var activeComponent = '4071-528D2180-1DB-7796D700.ics';

sogo-demo.inverse.ca:
var activeCalendar = '6E71-52989400-1-5C319680';
var activeComponent = '6E71-52989400-5-5C319680.ics';

Thank you very much for your support!

Christian Mack

Christian Mack

2013-11-29 09:10

developer   ~0006313

Did you update your sope packages as well?

Hannes Erven

Hannes Erven

2013-11-29 09:21

reporter   ~0006314

Yes, SOGo 2.1.1a is compiled against SOPE 2.1.1; both are installed and according to lsof | grep sogo the correct files are used.

Christian Mack

Christian Mack

2013-11-29 09:32

developer   ~0006315

Does your webserver by chance deliver some old static content like *.js files?

Hannes Erven

Hannes Erven

2013-11-29 10:07

reporter   ~0006316

I cleaned /usr/local/lib/GNUstep/SOGo before "make install"ing the new SOGO version and there is no caching configured on the Apache side.

Do you think the empty javascript variable might be a clue or is this just coincidence?

ams077

ams077

2015-01-13 12:09

reporter   ~0008067

Last edited: 2015-01-13 12:11

View 2 revisions

We are experiencing this same issue. We see no <option> marked selected, and we also see "var activeCalendar = '';" in the source for the pop-up.

We are using version 2.2.13-1 installed from the .deb. Here is some output for dpkg show the versions of sope libraries too.

dpkg -l | grep 'sope\|sogo' returns:
"""
ii libsope-appserver4.9 4.9.r1664.20141230 amd64 SOPE application server libraries
ii libsope-core4.9 4.9.r1664.20141230 amd64 Core libraries of the SOPE application server
ii libsope-gdl1-4.9 4.9.r1664.20141230 amd64 GNUstep database libraries for SOPE
ii libsope-ldap4.9 4.9.r1664.20141230 amd64 SOPE libraries for LDAP access
ii libsope-mime4.9 4.9.r1664.20141230 amd64 SOPE libraries for MIME processing
ii libsope-xml4.9 4.9.r1664.20141230 amd64 SOPE libraries for XML processing
ii sogo:amd64 2.2.13-1 amd64 a modern and scalable groupware
ii sope4.9-gdl1-postgresql 4.9.r1664.20141230 amd64 PostgreSQL connector for SOPE's fork of the GNUstep database environment
ii sope4.9-libxmlsaxdriver 4.9.r1664.20141230 amd64 XML Parser for SOPE's SAX engine
"""

Please let me know if you'd prefer me to raise this as a separate bug against version 2.2.13

ludovic

ludovic

2015-01-13 14:06

administrator   ~0008068

This regression is fixed in the upcoming v2.2.14.

Issue History

Date Modified Username Field Change
2013-11-25 17:59 Hannes Erven New Issue
2013-11-26 06:04 Christian Mack Note Added: 0006288
2013-11-26 06:15 Hannes Erven Note Added: 0006289
2013-11-26 07:35 Christian Mack Note Added: 0006290
2013-11-26 14:16 Hannes Erven Note Added: 0006292
2013-11-29 06:09 Christian Mack Note Added: 0006310
2013-11-29 08:26 Hannes Erven Note Added: 0006311
2013-11-29 09:10 Christian Mack Note Added: 0006313
2013-11-29 09:21 Hannes Erven Note Added: 0006314
2013-11-29 09:32 Christian Mack Note Added: 0006315
2013-11-29 10:07 Hannes Erven Note Added: 0006316
2015-01-13 12:09 ams077 Note Added: 0008067
2015-01-13 12:11 ams077 Note Edited: 0008067 View Revisions
2015-01-13 14:06 francis Relationship added has duplicate 0003050
2015-01-13 14:06 ludovic Note Added: 0008068
2015-01-13 14:06 ludovic Status new => resolved
2015-01-13 14:06 ludovic Fixed in Version => 2.2.14
2015-01-13 14:06 ludovic Resolution open => fixed
2015-01-13 14:06 ludovic Assigned To => ludovic
2015-01-13 14:06 francis Assigned To ludovic => francis